package cn.com.countrygarden.bi.main.dao.wcx;


import cn.com.countrygarden.bi.main.dto.wcx.WcxReviewOtherDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WcxReviewOtherMapper {
    List<WcxReviewOtherDto> selectPageData(WcxReviewOtherDto param);

    Long selectPageCount(WcxReviewOtherDto param);

    /**
     * 查找其他评论
     * @param reviewOtherId
     * @return
     */
    WcxReviewOtherDto findFirstByPrimaryKey(@Param("reviewOtherId") String reviewOtherId);

    /**
     * 更新状态
     * @param reviewOtherId
     * @param isDelete
     * @param status
     */
    void updateStatus(@Param("reviewOtherId")String reviewOtherId, @Param("isDelete")Integer isDelete, @Param("status")String status);

    /**
     * 更新审计字段
     * @param lastUpdateBy
     */
    int updateAudit(@Param("reviewOtherId")String reviewOtherId, @Param("lastUpdateBy")String lastUpdateBy, @Param("lastUpdateByName")String lastUpdateByName);
}
